curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
Benutzerdefinierte Domains
Benutzerdefinierte Domains auflisten
GET /custom-domain/
GET
/
custom-domain
/
curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
Listet die eigenen verbundenen benutzerdefinierten Domains des Kontos auf, auf dem Management-API-Host (
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://api.scanova.io/custom-domain/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Erfordert die Plan-Quota
CUSTOM_DOMAIN und die Berechtigung CUSTOM_DOMAIN_CAN_VIEW.curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
txt_value und cname_target sind die DNS-Einträge, die für diese Domain noch benötigt werden (oder bereits gesetzt sind) — siehe Benutzerdefinierte Domain hinzufügen für deren Herkunft. is_txt_verified/is_cname_verified spiegeln den letzten Verifizierungslauf wider, nicht eine Live-Prüfung.
Verwandte Themen
- Benutzerdefinierte Domain hinzufügen — eine neue verbinden.
- DNS-Einträge einer benutzerdefinierten Domain verifizieren — DNS erneut prüfen und diese Flags aktualisieren.
- Verifizierte Domains für QR-Zuweisung auflisten — das für Auswahllisten geeignete Gegenstück zur Zuweisung einer Domain zu einem QR-Code.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
200 - application/json
Paginated list of custom domains.
War diese Seite hilfreich?